Jump to content
multisale.at

Fatal error: require_once(): Failed opening required '/www/htdocs/w00f2ec7/presta/tools/swift/Swift/../Swift/Plugin/MailSend.php' (include_path='/www/htdocs/w00f2ec7/presta/tools/htmlpurifier/standalone:.:/usr/share/php:..') in /www/htdocs/w00f2ec7/presta

Recommended Posts

Hallo!

Wären euch sehr dankbar für bei diesem Problem.

es zeigt bei jedem Statuswechsel von zum Beispiel: "in Bearbeitung" auf "Artikel Versand" immer an:

Fatal error: require_once(): Failed opening required '/www/htdocs/w00f2ec7/presta/tools/swift/Swift/../Swift/Plugin/MailSend.php' (include_path='/www/htdocs/w00f2ec7/presta/tools/htmlpurifier/standalone:.:/usr/share/php:..') in /www/htdocs/w00f2ec7/presta/tools/swift/Swift/ClassLoader.php on line 35

Zudem erhalten die Kunden ständig ein Error und haben somit Bestellungen 2-3x durchgeführt, auch wenn es zwar bestellt wurde, dem Kunden wurde immer ein Error angezeigt.

Danke für eure Ratschläge.

LG,

Pierre

Share this post


Link to post
Share on other sites
Posted (edited)
vor 26 Minuten schrieb multisale.at:

/presta/tools/swift/Swift/../Swift/Plugin/MailSend.php

Da steht das problem, obwohl bei mir im ordner ist kein swift datei. Hast du ein Plugin namens Swift ?

Edited by SliderFlash (see edit history)

Share this post


Link to post
Share on other sites

Wenn ich unter "Erweiterte Einstellungen - Email rein gehe kommt diese Meldung:

Warning: require_once(/www/htdocs/w00f2ec7/presta/tools/swift/Swift/Plugin/MailSend.php): failed to open stream: Permission denied in /www/htdocs/w00f2ec7/presta/tools/swift/Swift/ClassLoader.php on line 35

Fatal error: require_once(): Failed opening required '/www/htdocs/w00f2ec7/presta/tools/swift/Swift/../Swift/Plugin/MailSend.php' (include_path='/www/htdocs/w00f2ec7/presta/tools/htmlpurifier/standalone:.:/usr/share/php:..') in /www/htdocs/w00f2ec7/presta/tools/swift/Swift/ClassLoader.php on line 35

Share this post


Link to post
Share on other sites

Was für ein Problem liest du da raus?

Kannst du mir ggf. wie es das wieder lösen kann?

Plugin Namens "Swift" ? muss ich prüfen

Share this post


Link to post
Share on other sites

wenn es E-Mail Problem ist würde ich mal den Hoster support fragen warum E-Mail plötzlich nicht mehr geht

Share this post


Link to post
Share on other sites

Nun, der Hoster teilte mit damit nichts zu tun zu haben... liegt wohl an Prestashop, aber von denen kriegt man quasi keine Antwort 😕

es ist so, das wenn Bestellungen rein kommen, wir keine Benachrichtigung per Mail erhalten, und de Kunde lediglich ein Error erhält..

Share this post


Link to post
Share on other sites
Posted (edited)

lade den swift von deinem Ersatz Ordner mit einem FTP programm wider hoch und überschreiben und testen

Edited by SliderFlash (see edit history)

Share this post


Link to post
Share on other sites

SliderFlash, super geschrieben aber leider kenne ich mich da zu wenig aus :-D, echt TOP das du so Hilfsbereit bist, kannst mir das ggf. in einfachen Worten schreiben bzw. wie ich genau vorgehen muss? Vielen vielen Dank 😄

 

Share this post


Link to post
Share on other sites
vor 25 Minuten schrieb multisale.at:

/presta/tools/swift/

den swift ordner mit inhalt ersetzen, aus dem original ordner

Share this post


Link to post
Share on other sites

Wir wissen nicht welche Prestashop-Version du hast und auch nicht die PHP-Version ...

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)

Es klingt nach einer ältern 1.6er Version, diese Datei finde ich z.B. in 1.6.0.14 aber nicht mehr in 1.6.1.24 - hast du evtl mal ein Update gemacht wo was schief gegangen ist? Den Inhalt des Swift Verzeichnisses mit dem orginalen deiner Version zu vergleichen ist wahrscheinlich eine gute Idee

Edited by JBW (see edit history)

Share this post


Link to post
Share on other sites

Wie ich gerade in einem älteren Thread gelesen habe, nutzt er eine 1.6er-Version sowie PHP 7.2, da kommt es zwangsläufig zu Problemen. Würde man einem das gleich verraten, würden wir uns hier viel unnötige Arbeit sparen.

Vielleicht sollte man einmal als Regel einführen: Keine Frage ohne Angabe von Prestashop- und PHP-Version!

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More